.so-onepagecheckout input[type='text'], .so-onepagecheckout input[type='email'], .so-onepagecheckout input[type='number'],
.so-onepagecheckout input[type='password'], .so-onepagecheckout input[type='tel'], .so-onepagecheckout textarea {
	border: 1px solid #f1f1f1;
	box-shadow: none;
	border-radius: 0px;
}

	.so-onepagecheckout input[type='text']:hover,
	.so-onepagecheckout input[type='text']:focus,
	.so-onepagecheckout input[type='text']:active,
	.so-onepagecheckout input[type='email']:hover,
	.so-onepagecheckout input[type='email']:focus,
	.so-onepagecheckout input[type='email']:active,
	.so-onepagecheckout input[type='password']:hover,
	.so-onepagecheckout input[type='password']:focus,
	.so-onepagecheckout input[type='password']:active,
	.so-onepagecheckout input[type='tel']:hover,
	.so-onepagecheckout input[type='tel']:focus,
	.so-onepagecheckout input[type='tel']:active,
	.so-onepagecheckout input[type='number']:hover,
	.so-onepagecheckout input[type='number']:focus,
	.so-onepagecheckout input[type='number']:active,
	.so-onepagecheckout textarea:hover,
	.so-onepagecheckout textarea:focus,
	.so-onepagecheckout textarea:active {
		background: white;
	}

.so-onepagecheckout {
	overflow: hidden;
}

	.so-onepagecheckout .col-left {
		padding-left: 0px;
	}

	.so-onepagecheckout .col-right {
		padding-right: 0px;
	}

	.so-onepagecheckout .checkout-content {
		background: #fff;
		padding: 0;
		margin-bottom: 18px;
		overflow: hidden;
	}

	.so-onepagecheckout .col-left .login-box {
		background: #fff;
		padding: 0;
		margin-bottom: 18px;
	}

	.so-onepagecheckout #button-login {
		text-transform: uppercase;
		border: 0px;
		box-shadow: none;
		border-radius: 0px;
		line-height: 34px;
		padding: 0 20px;
	}

	.so-onepagecheckout .box-inner {
		border: 1px solid #f1f1f1;
		border-top: 0px;
		border-radius: 0 0 5px 5px;
		padding: 20px;
		float: left;
		width: 100%;
	}

	.so-onepagecheckout .secondary-title {
		background-color: #C80319;
		font-weight: bold;
		font-size: 14px;
		font-style: normal;
		color: white;
		text-transform: uppercase;
		padding: 12px 15px;
		margin: 0;
	}


.so-onepagecheckout fieldset > div {
	clear: both;
	margin-bottom: 18px;
	overflow: hidden;
}

.so-onepagecheckout #shipping-address {
	clear: both;
}

.so-onepagecheckout .required label:after {
	content: "*";
	color: #EA2E49;
	font-weight: bold;
	font-size: 16px;
	position: relative;
	margin-left: 3px;
}

.so-onepagecheckout .form-horizontal .form-group {
	margin-left: 0px;
	margin-right: 0px;
}

	.so-onepagecheckout .form-horizontal .form-group label + div {
		padding: 0px;
	}

.so-onepagecheckout select {
	margin-left: 0;
	border: 1px solid #f1f1f1;
	border-radius: 0px;
	box-shadow: none;
}

.so-onepagecheckout .col-left select {
	margin-top: 0px;
}

.so-onepagecheckout .input-group-btn button {
	padding: 9px 12px;
}

.so-onepagecheckout .ship-payment {
	margin-bottom: 0;
	display: table;
	width: 100%;
}

	.so-onepagecheckout .ship-payment > div {
		width: 100%;
	}

.so-onepagecheckout .checkout-content p {
	padding: 10px 0;
}

.so-onepagecheckout .checkout-content p, .so-onepagecheckout .checkout-content .radio {
	padding: 10px 0 0 0;
}

.so-onepagecheckout .ship-payment > div .radio {
	padding: 3px 0 0 0;
	margin-bottom: 2px;
}

.so-onepagecheckout .ship-payment > div p {
	padding-top: 5px;
	margin-bottom: 0px;
}

.so-onepagecheckout .ship-payment > div p {
	display: none;
}

.so-onepagecheckout .ship-payment > div .radio label {
	display: block;
}

.so-onepagecheckout .col-left .checkout-content label {
	display: block;
	width: 100%;
	margin-bottom: 3px;
	text-align: left;
}

.so-onepagecheckout .col-left .login-box .radio {
	padding: 0;
	float: left;
	width: 33%;
}

	.so-onepagecheckout .col-left .login-box .radio label {
	}

	.so-onepagecheckout .col-left .login-box .radio:last-of-type label {
		border-bottom: 0;
		margin-bottom: 0;
		padding-bottom: 0;
	}

.so-onepagecheckout .checkbox, .so-onepagecheckout .radio {
	margin-top: 0;
	margin-bottom: 0px;
}

.so-onepagecheckout .coupon-voucher {
	display: table;
	width: 100%;
}

	.so-onepagecheckout .coupon-voucher .panel-body {
		padding: 0;
		background-color: transparent;
		display: block;
		float: left;
		width: 100%;
	}

		.so-onepagecheckout .coupon-voucher .panel-body label {
			display: none;
			margin-bottom: 4px;
		}

.checkout-content textarea {
	width: 100% !important;
	margin-top: 15px;
	resize: none;
	height: 150px;
	box-shadow: none;
	margin-bottom: 5px;
	background: white;
	border-radius: 0;
	border-width: 1px;
	border-style: solid;
	border-color: #EEE;
	padding: 5px 10px;
	font-size: 13px;
	min-height: 35px;
	font-weight: 400;
}

	.checkout-content textarea:hover, .checkout-content textarea:active, .checkout-content textarea:focus {
		background: white;
	}

.so-onepagecheckout .confirm-section label {
	display: block;
}

.so-onepagecheckout .confirm-section textarea {
	margin-top: 0px;
}

.so-onepagecheckout .confirm-section .checkbox, .so-onepagecheckout .confirm-section .radio {
	padding-top: 4px;
	margin-bottom: 0px;
}

.so-onepagecheckout .confirm-section .radio {
	padding-top: 4px;
	margin-bottom: 0px;
}

	.so-onepagecheckout .confirm-section .radio label {
		padding: 0;
	}

.so-onepagecheckout .confirm-order {
	margin-top: 12px;
	padding-top: 12px;
	text-align: left;
}

.so-onepagecheckout .input-group-btn {
	font-size: 14px;
	display: table-cell;
	vertical-align: middle;
}

.so-onepagecheckout .checkout-cart .input-group-btn {
	display: inline-block;
}

.so-onepagecheckout .coupon-voucher .input-group-btn {
	border-radius: 0;
}

	.so-onepagecheckout .coupon-voucher .input-group-btn input {
		padding: 0 10px;
		line-height: 38px;
		border-radius: 0px;
	}

.so-onepagecheckout .coupon-voucher input[type='text'] {
	width: 100%;
}

.so-onepagecheckout .input-group {
	display: table;
	position: relative;
}

.so-onepagecheckout .coupon-voucher .input-group {
	width: 100%;
	margin-bottom: 10px;
}

.quantity input[type='text'] {
	min-height: 35px;
}

.quantity input[type='text'] {
	width: 40px;
	text-align: center;
}

.so-onepagecheckout .input-group .form-control {
	float: left;
	display: table-cell;
}

.so-onepagecheckout .checkout-cart td.quantity input[type='text'] {
	margin-right: 4px;
	border-radius: 2px;
}

.so-onepagecheckout .checkout-cart td.quantity .input-group input {
	position: relative;
	top: 3px;
}

.so-onepagecheckout .checkout-cart td.quantity .input-group input {
	top: 0;
}

.so-onepagecheckout .checkout-cart .buttons .pull-right input {
	border: 0px;
	box-shadow: none;
	text-transform: uppercase;
	border-radius: 0px;
}

.buttons {
	width:100%;
	height:60px;
}

.so-onepagecheckout .checkout-product {
	border: 0px;
}

	.so-onepagecheckout .checkout-product table {
		width: 100%;
		border-spacing: 0;
		border: 0px;
	}

		.so-onepagecheckout .checkout-product table tfoot {
			border-top: 1px solid #f1f1f1;
			margin-top: 10px;
		}

			.so-onepagecheckout .checkout-product table tfoot td {
				padding: 15px 0 0;
				text-transform: uppercase;
				font-weight: bold;
			}

.so-onepagecheckout .table-hover > tbody > tr:hover {
	background: transparent;
}

.so-onepagecheckout .checkout-product th {
	border: 0px;
}

.so-onepagecheckout .checkout-product tbody td {
	border-bottom: 1px solid;
	border-color: #f4f4f4;
}

.so-onepagecheckout .checkout-product tbody td {
	border-color: rgb(244, 244, 244);
}

.so-onepagecheckout .checkout-product .price, .so-onepagecheckout .checkout-product .total {
	text-align: right;
}

.so-onepagecheckout .checkout-cart td {
	border-left-width: 0;
	border-right-width: 0;
	border-top-width: 0;
	border-bottom-width: 0;
}

	.so-onepagecheckout .checkout-cart td.quantity {
		text-align: center;
	}

.so-onepagecheckout .checkout-cart tbody tr:first-of-type td {
	border: 0px;
}

.so-onepagecheckout .checkout-cart .quantity span.input-group-btn span {
	cursor: pointer;
}

	.so-onepagecheckout .checkout-cart .quantity span.input-group-btn span.btn-update {
		display: block;
	}

	.so-onepagecheckout .checkout-cart .quantity span.input-group-btn span i.fa {
		font-size: 18px;
	}

.so-onepagecheckout .img-thumbnail {
	max-width: 100%;
	height: auto;
	border: 0px;
	padding: 0;
}

.so-onepagecheckout .image .img-thumbnail {
	display: block;
}

.so-onepagecheckout .checkout-cart td.image img {
	margin-left: 10px;
	max-width: 100%;
	height: auto;
}

.so-onepagecheckout .checkout-cart td.quantity .input-group {
	display: inline-block;
	width: auto;
}


.so-onepagecheckout .confirm-order button {
	text-transform: uppercase;
	font-weight: 400;
	font-size: 14px;
	border: 0px;
	border-radius: 0px;
	box-shadow: none;
}

.so-onepagecheckout .table-responsive .table thead > * {
	font-weight: normal;
}

.so-onepagecheckout .required label:before {
	display: none;
}

.so-onepagecheckout .checkout-cart .box-inner .buttons {
	display: none !important;
}

@media (min-width: 1024px) {

	.so-onepagecheckout section.section-left .form-horizontal .form-group label,
	.so-onepagecheckout .form-horizontal .form-group label {
		width: 35%;
		min-height: 33px;
		float: left;
		padding-top: 5px;
		padding-left: 0px;
	}

	.so-onepagecheckout section.section-left .form-horizontal .form-group label + input,
	.so-onepagecheckout .form-horizontal .form-group label + div {
		width: 65%;
		float: right;
	}

	.rtl .so-onepagecheckout section.section-left .form-horizontal .form-group label + input,
	.rtl .so-onepagecheckout .form-horizontal .form-group label + div {
		float: left;
	}
}

@media (max-width: 1199px) {
	.so-onepagecheckout .checkout-cart .quantity span.input-group-btn span.btn-update {
		display: inline-block;
	}
}

@media (max-width: 991px) {
	.so-onepagecheckout .checkout-cart td.quantity .input-group input {
		width: 40px;
		margin: 0 auto;
		float: none;
		margin-bottom: 5px;
	}

	.so-onepagecheckout .input-firstname, .so-onepagecheckout .input-lastname {
		width: 100% !important;
	}

	.so-onepagecheckout .checkout-cart .quantity span.input-group-btn span.btn-update {
		display: inline-block;
	}
}

@media (min-width: 768px) and (max-width: 991px) {
	.so-onepagecheckout .col-left .login-box .radio {
		width: 100%;
	}

	.so-onepagecheckout .checkout-cart .quantity span.input-group-btn span.btn-update {
		display: inline-block;
	}

	.so-onepagecheckout .checkout-cart .input-group-btn {
		display: table-cell;
	}
}

@media (max-width: 767px) {
	.so-onepagecheckout .ship-payment > div {
		width: 100%;
		display: block;
	}

	.so-onepagecheckout .col-right {
		padding-left: 0px;
	}

	.so-onepagecheckout .coupon-voucher .panel-body {
		width: 100%;
		padding-bottom: 10px;
	}

	.so-onepagecheckout .checkout-cart td.image img {
		margin-left: 0px;
	}

	.so-onepagecheckout .input-group-btn {
		padding-top: 0px;
	}


	.so-onepagecheckout .col-left .login-box .radio {
		width: 100%;
	}

	.so-onepagecheckout .secondary-title {
		font-size: 12px;
		font-weight: normal;
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
	}

	.so-onepagecheckout .checkout-product .product-name {
		display: block;
	}

	.so-onepagecheckout .checkout-cart .input-group-btn {
		display: table-cell;
	}
}

.bottom-buttons {
	margin-bottom: 50px;
}